%global maj 0

Name:       sord
Version:    0.5.0
Release:    3%{?dist}
Summary:    A lightweight Resource Description Framework (RDF) C library

Group:      System Environment/Libraries
License:    ISC
URL:        http://drobilla.net/software/sord/
Source0:    http://download.drobilla.net/%{name}-%{version}.tar.bz2

BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: glib2-devel
BuildRequires: python
BuildRequires: serd-devel >= 0.5.0

%description
%{name} is a lightweight C library for storing Resource Description
Framework (RDF) data in memory. %{name} and parent library serd form 
a lightweight RDF tool-set for resource limited or performance critical 
applications.

%package devel
Summary:    Development libraries and headers for %{name}
Group:      Development/Libraries
Requires:   %{name}%{_isa} = %{version}-%{release}

%description devel
%{name} is a lightweight C library for storing Resource Description
Framework (RDF) data in memory.

This package contains the headers and development libraries for %{name}.

%prep
%setup -q
# we'll run ldconfig, and add our optflags 
sed -i -e "s|bld.add_post_fun(autowaf.run_ldconfig)||" \
       -e "s|cflags          = [ '-DSORD_INTERNAL' ]\
|cflags          = [ '-DSORD_INTERNAL' ] + '%optflags'.split(' ') |" wscript

%build
export CXXFLAGS="%{optflags}"
export CFLAGS="%{optflags}"
./waf configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --datadir=%{_datadir} \
    --docdir=%{_docdir}/%{name}-devel-%{version} \
    --test \
    --docs 
./waf build -v %{?_smp_mflags}

%install
DESTDIR=%{buildroot} ./waf install
chmod +x %{buildroot}%{_libdir}/lib%{name}-%{maj}.so.*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog README COPYING
%{_libdir}/lib%{name}-%{maj}.so.*
%{_bindir}/sordi
%{_mandir}/man1/sordi.1.gz

%files devel
%{_libdir}/lib%{name}-%{maj}.so
%{_libdir}/pkgconfig/%{name}-%{maj}.pc
%{_includedir}/%{name}-%{maj}/
%{_docdir}/%{name}-devel-%{version}
%{_mandir}/man3/%{name}.3.gz

%changelog
* Thu Jan 19 2012 Brendan Jones <brendan.jones.it@gmail.com> - 0.5.0-3
- Correct macros in description, expand summary.

* Mon Jan 16 2012 Brendan Jones <brendan.jones.it@gmail.com> - 0.5.0-2
- Correct macros in description, expand summary.

* Fri Dec 23 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.5.0-1
- Initial build
